﻿<?php

 /**

 * @package JMailLike

 * @author Kostin Aleksey (kostinaleksey@gmail.com)

 * @version 1.0

 * @copyright (C) 2010 by Kostin Aleksey(http://php-programmist.ru/)

 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html

 *

*/



// Check to ensure this file is included in Joomla!

defined( '_JEXEC' ) or die( 'Restricted access' );



jimport( 'joomla.plugin.plugin' );





class plgContentJMailLike extends JPlugin

{

	function plgContentJMailLike( &$subject, $params )

	{

		parent::__construct( $subject, $params );

		$plugin			=& JPluginHelper::getPlugin('content', 'jmaillike');

		$this->params	= new JParameter( $plugin->params );

	}

	function onPrepareContent( &$row, &$params, $limitstart ) {

		$autoAddOnlyFull 	= $this->params->get('autoAddOnlyFull') == 1 ? true : false;
        $position 			= $this->params->get('position');
		$left 			= $this->params->get('left');
		$top 			= $this->params->get('top');

        $exceptcat = is_array($this->params->get('categories')) ? $this->params->get('categories') : array($this->params->get('categories'));

		if (!in_array($row->catid,$exceptcat))
        {
				$view = JRequest::getCmd('view');

				if (($autoAddOnlyFull && $view == 'article') || !$autoAddOnlyFull) {

					$mainframe = &JFactory::getApplication('site');

					$pagehash = $row->id;

					$row->introtext = preg_replace("/\n\r|\r\n|\n|\r/", "", $row->introtext);

                    $row->introtext = preg_replace("/\t/", "", $row->introtext);

					$row->introtext = preg_replace("|<.*?>|ixm","",$row->introtext);

					$row->introtext = preg_replace("|{.*?}|ixm","",$row->introtext);

					$words = explode(" ",$row->introtext);

					$words_sliced = array_slice($words,0,intval($max_words));

					$row->introtext = implode(" ",$words_sliced)."...";

					$site = JURI::base();

					$link = $site.substr(JRoute::_(ContentHelperRoute::getArticleRoute($row->slug,$row->catslug,$row->sectionid)),1);

					$scriptPage = "<div id=\"jmaillike_div\" style =\"position:relative; left:{".$left."}px; top:{".$top."}px\">";

                         $scriptPage .= "<a target=\"_blank\" class=\"mrc__plugin_like_button\" href=\"http://connect.mail.ru/share\" rel=\"{'type' : 'button', 'width' : '150'}\">Нравится</a>";
			 $scriptPage .= "<script src=\"http://cdn.connect.mail.ru/js/loader.js\" type=\"text/javascript\" charset=\"UTF-8\"></script>";
                         $scriptPage .= "</div>";


						switch($position){
							case "top":
								$row->text = $scriptPage.$row->text;
								break;
							case "bottom":
								$row->text .= $scriptPage;
								break;
						}

				}
         }


    }


}

